godo.AgentPlatform.CreateInferenceRouter()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.AgentPlatform.CreateInferenceRouter(ctx context.Context, create *godo.InferenceRouterCreateRequest) (*godo.InferenceRouter, *godo.Response, error)Description
CreateInferenceRouter creates a new inference router.
This method sends a POST request to /v2/gen-ai/models/routers.
Parameters
create*godo.InferenceRouterCreateRequest required
Fields of godo.InferenceRouterCreateRequest
InferenceRouterCreateRequest defines the body for creating an inference router.
Field names match POST /v2/gen-ai/models/routers (see DigitalOcean API / pydo.genai.create_model_router).
FallbackModels must contain at least one non-empty model name (enforced by CreateInferenceRouter).
NamestringDescriptionstringPoliciesjson.RawMessageFallbackModels[]string
Returns
- *godo.InferenceRouter
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.InferenceRouter
InferenceRouter represents a GenAI inference router resource.
UUIDstringNamestringDescriptionstringCreatedAt*godo.TimestampUpdatedAt*godo.TimestampConfig*godo.InferenceRouterConfig
Request Sample
More Information
See POST /v2/gen-ai/models/routers in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.